import { Controller, Delete, Get, Param, Req } from "@nestjs/common";
import { CatsService } from "./cats.service";
import { Cat } from "./cats.entity";

@Controller('cats')
export class CatsController {
  constructor(private catsService: CatsService) {}

  @Get()
  findAll(): Promise<Cat[]> {
    return this.catsService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: number): Promise<Cat> | null {
    return this.catsService.findOne(id);
  }

  @Delete(':id')
  remove(@Param('id') id: number): Promise<void> {
    return this.catsService.remove(id);
  }
}
