import { Injectable, Logger } from "@nestjs/common";
import { InjectRepository } from "@nestjs/typeorm";
import { Repository } from "typeorm";
import { Cat } from "./cats.entity";

@Injectable()
export class CatsService {
  constructor(
    @InjectRepository(Cat)
    private catsRepository: Repository<Cat>,
  ) {}

  private readonly logger = new Logger(CatsService.name);

  findAll(): Promise<Cat[]> {
    this.logger.log("[findAll] Starting...");
    return this.catsRepository.find();
  }

  findOne(id: number): Promise<Cat | null> {
    this.logger.log("[findOne] Starting...");
    return this.catsRepository.findOneBy({ id });
  }

  async remove(id: number): Promise<void> {
    this.logger.log("[remove] Starting...");
    await this.catsRepository.delete(id)
  }
}
